using System.IO;
using Crysome.Common.Network.Packets;

namespace Crysome.Common.Network.FileTransfer;

public sealed class FtAbortPacket : IPacket
{
	public uint TransferId;

	public string Reason;

	public void Write(BinaryWriter w)
	{
		w.Write(TransferId);
		w.Write(Reason ?? "");
	}

	public void Read(BinaryReader r)
	{
		TransferId = r.ReadUInt32();
		Reason = r.ReadString();
	}
}
